libtheora-dev_1.1.1+dfsg.1-8_amd64.deb


Advertisement

Description

libtheora-dev - Theora Video Compression Codec (development files)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libtheora-dev_1.1.1+dfsg.1-8_amd64.deb
Package name libtheora-dev
Package version 1.1.1+dfsg.1
Package release 8
Package architecture amd64
Package type deb
Category libdevel
Homepage http://www.theora.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 174.15 KB
Installed size 1019.00 KB
Theora is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed video format.
This package contains the header files needed to develop applications
with libtheora.

Alternatives

Package Version Architecture Repository
libtheora-dev_1.1.1+dfsg.1-8_i386.deb 1.1.1+dfsg.1 i386 Ubuntu Main
libtheora-dev - - -

Requires

Name Value
libogg-dev -
libtheora0 = 1.1.1+dfsg.1-8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libtheora-dev_1.1.1+dfsg.1-8_amd64.deb
Source Package libtheora

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libtheora-dev deb package:
    # sudo apt-get install libtheora-dev

Files

Path
/usr/include/theora/codec.h
/usr/include/theora/theora.h
/usr/include/theora/theoradec.h
/usr/include/theora/theoraenc.h
/usr/lib/x86_64-linux-gnu/libtheora.a
/usr/lib/x86_64-linux-gnu/libtheora.so
/usr/lib/x86_64-linux-gnu/libtheoradec.a
/usr/lib/x86_64-linux-gnu/libtheoradec.so
/usr/lib/x86_64-linux-gnu/libtheoraenc.a
/usr/lib/x86_64-linux-gnu/libtheoraenc.so
/usr/lib/x86_64-linux-gnu/pkgconfig/theora.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/theoradec.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/theoraenc.pc
/usr/share/doc/libtheora-dev/changelog.Debian.gz
/usr/share/doc/libtheora-dev/copyright

Changelog

2016-02-07 - Petter Reinholdtsen <pere@debian.org>
libtheora (1.1.1+dfsg.1-8) unstable; urgency=medium
* Fix arch-independent build. (Closes: #806063)
* Drop unused build dependency python, to make it easier to
cross-build package.  (Closes: #794591)
* Acknowledge 1.1.1+dfsg.1-7.1 NMU. (Closes: #812478)
2016-01-23 - Tobias Frost <tobi@debian.org>
libtheora (1.1.1+dfsg.1-7.1) unstable; urgency=medium
* Non-maintainer upload.
* Fix FTBFS with libpng16 (Closes: #809949)
* Drop python from B-D for easier cross building (Closes: #794591)
2015-09-22 - Petter Reinholdtsen <pere@debian.org>
libtheora (1.1.1+dfsg.1-7) unstable; urgency=low
[ Martin Steghöfer ]
* Tag existing patches properly and use git-buildpackage patch queue
for all our patches.
* Fix FTBFS with new LaTeX.
Thanks to Ralph Giles (Closes: #790442)
2014-11-11 - Petter Reinholdtsen <pere@debian.org>
libtheora (1.1.1+dfsg.1-6) unstable; urgency=low
[ Martin Steghöfer ]
* Add missing -lm to player-example.  Thanks to Simon
McVittie (Closes: #768685)
2014-10-24 - Petter Reinholdtsen <pere@debian.org>
libtheora (1.1.1+dfsg.1-5) unstable; urgency=low
* Switch to source format 3.0 (quilt).
2014-10-21 - Petter Reinholdtsen <pere@debian.org>
libtheora (1.1.1+dfsg.1-4) unstable; urgency=low
[ Martin Steghöfer ]
* Updated VCS meta information to list git repository.
[ Petter Reinholdtsen ]
* Drop John Francesco Ferlito and add me and Martin Steghöfer as
uploaders.
* Updated standards-version from 3.9.5 to 3.9.6.
* Drop unused build dependency graphviz (Closes: #751702).  Patch
from Peter Pentchev.
2014-03-20 - Matthias Klose <doko@debian.org>
libtheora (1.1.1+dfsg.1-3.2) unstable; urgency=medium
* Non-maintainer upload.
* Apply patches taken from Ubuntu:
- Use dh-autoreconf for current libtool.
- Move transfig, texlive, ghostscript to Build-Depends-Indep,
since they're only used for doc building.
* Remove patches for regenerated autotools files.
* Add "Build-Depends: texlive-fonts-recommended" to fix FTBFS (Hideki
Yamane). Closes: #738606.
* Build-Depend on libpng-dev instead of libpng12-dev. Closes: #662412.
* Fix linitan warnings:
- Remove unused build dependency on cdbs.
- Don't start description synopsis with an article.
* Bump standards version to 3.9.5.
2013-12-16 - Steve Langasek <steve.langasek@ubuntu.com>
libtheora (1.1.1+dfsg.1-3.1ubuntu1) trusty; urgency=medium
* Use dh-autoreconf for current libtool.
* Move transfig, texlive, ghostscript to Build-Depends-Indep, since they're
only used for doc building.
2012-05-11 - Bastian Blank <waldi@debian.org>
libtheora (1.1.1+dfsg.1-3.1) unstable; urgency=low
* Non-maintainer upload.
* Support multi-arch: (closes: #646314)
- Build-depend against newer debhelper.
- Use debhelper compat level 9, fix invocation.
- Mark libtheora-bin as foreign.
- Mark libtheora0, libtheora-dev and libtheora-dbg as same.
- Adjust installation directories.
2009-12-23 - John Francesco Ferlito <johnf@inodes.org>
libtheora (1.1.1+dfsg.1-3) unstable; urgency=low
* Need to patch configure for hurd support as well (Closes: #555670).

See Also

Package Description
libtheora-doc_1.1.1+dfsg.1-8_all.deb Theora Video Compression Codec (documentation)
libtheora0_1.1.1+dfsg.1-8_amd64.deb Theora Video Compression Codec
libtidy-0.99-0_20091223cvs-1.5_amd64.deb HTML syntax checker and reformatter - library
libtidy-dev_20091223cvs-1.5_amd64.deb HTML syntax checker and reformatter - development
libtie-ixhash-perl_1.23-2_all.deb Perl module to order associative arrays
libtiff-doc_4.0.6-1_all.deb TIFF manipulation and conversion documentation
libtiff5-dev_4.0.6-1_amd64.deb Tag Image File Format library (TIFF), development files
libtiff5_4.0.6-1_amd64.deb Tag Image File Format (TIFF) library
libtiffxx5_4.0.6-1_amd64.deb Tag Image File Format (TIFF) library -- C++ interface
libtime-parsedate-perl_2015.103-1_all.deb collection of Perl modules for time/date manipulation
libtimedate-perl_2.3000-2_all.deb collection of modules to manipulate date/time information
libtimezonemap-data_0.4.5_all.deb GTK+3 timezone map widget - data files
libtimezonemap1-dev_0.4.5_amd64.deb GTK+3 timezone map widget - development files
libtimezonemap1_0.4.5_amd64.deb GTK+3 timezone map widget
libtinfo-dev_6.0+20160213-1ubuntu1_amd64.deb developer's library for the low-level terminfo library
Advertisement
Advertisement